# $Revision: 1.35.2.3 $, $Date: 2007/03/21 10:54:00 $
# TODO:
#  - do something with *.rdf file, there if file conflict with other lang packages
#
Summary:	Polish resources for Mozilla-firefox
Summary(pl):	Polskie pliki jzykowe dla Mozilli-firefox
Name:		mozilla-firefox-lang-pl
Version:	2.0.0.3
Release:	1
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://ftp.mozilla.org/pub/mozilla.org/firefox/releases/%{version}/linux-i686/xpi/pl.xpi
# Source0-md5:	13a72d1e7da8bc25d656543675ebfeaf
Source1:	pl-PL.manifest
URL:		http://www.firefox.pl/
BuildRequires:	unzip
Requires:	mozilla-firefox >= %{version}
Provides:	mozilla-firefox-lang-resources = %{version}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_firefoxdir	%{_datadir}/mozilla-firefox
%define		_chromedir	%{_firefoxdir}/chrome

%description
Polish resources for Mozilla-firefox.

%description -l pl
Polskie pliki jzykowe dla Mozilli-firefox.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_chromedir},%{_firefoxdir}/{defaults/profile,searchplugins}}

unzip %{SOURCE0} -d $RPM_BUILD_ROOT%{_libdir}
mv -f $RPM_BUILD_ROOT%{_libdir}/chrome/pl.jar $RPM_BUILD_ROOT%{_chromedir}/pl-PL.jar
mv -f $RPM_BUILD_ROOT%{_libdir}/chrome/* $RPM_BUILD_ROOT%{_chromedir}
mv -f $RPM_BUILD_ROOT%{_libdir}/*.rdf $RPM_BUILD_ROOT%{_firefoxdir}/defaults/profile

install %{SOURCE1} $RPM_BUILD_ROOT%{_chromedir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_chromedir}/pl-PL.jar
%{_chromedir}/pl-PL.manifest
%{_firefoxdir}/defaults/profile/*.rdf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mozilla-firefox-lang-pl.spec,v $
Revision 1.35.2.3  2007/03/21 10:54:00  mguevara
- up to 2.0.0.3-1

Revision 1.35.2.2  2007/02/25 01:52:53  glen
- revert utf8

Revision 1.35.2.1  2007/02/25 01:41:53  glen
- 2.0.0.2

Revision 1.35  2006/12/22 15:33:37  glen
- 2.0.0.1

Revision 1.34  2006/12/08 14:43:38  glen
- drop bogus deps

Revision 1.33  2006/12/07 10:46:21  qboosh
- updated to 2.0; older resources break firefox 2.0!

Revision 1.32  2006/11/15 11:19:50  qboosh
- updated to 1.5.0.8

Revision 1.31  2006/09/16 18:25:23  wolvverine
- up to 1.5.0.7

Revision 1.30  2006/08/08 12:12:30  hawk
- updated to 1.5.0.6

Revision 1.29  2006/06/02 17:29:28  adamg
- updated to 1.5.0.4

Revision 1.28  2006/05/23 07:28:16  spider
- up to 1.5.0.3

Revision 1.27  2006/04/14 17:27:16  megabajt
- updated to 1.5.0.2

Revision 1.26  2006/02/08 00:49:56  wolvverine
- up to version 1.5.0.1
- STBR

Revision 1.25  2006/02/02 12:23:57  qboosh
- dropped -installed-chrome.txt (not used by firefox 1.5)

Revision 1.24  2006/01/16 08:10:08  blekot
- lang-pl now working after install
- clenup
- triggers removed (obsolete)
- STBR

Revision 1.23  2006/01/15 21:08:51  blekot
- %files correct

Revision 1.22  2006/01/15 21:05:47  blekot
- pl.jar file renamed to glibc standard (pl-PL.jar)

Revision 1.21  2006/01/15 20:48:52  blekot
- updated to 1.5

Revision 1.20  2005/09/22 13:43:30  jack
- updated to 1.0.7

Revision 1.19  2005/07/20 18:38:44  kosmo
- updated to 1.0.6

Revision 1.18  2005/05/12 22:32:01  adamg
- updated to 1.0.4

Revision 1.17  2005/05/03 10:20:00  adamg
- release 2, with fixed installed-chrome.txt file (fixes from Mariusz
  Kryski  mrk (at) sed.pl)

Revision 1.16  2005/04/19 19:27:39  ciesiel
- upgrade to version 1.0.3

Revision 1.15  2005/04/16 13:14:59  sparky
- added TODO

Revision 1.14  2005/03/24 21:29:02  ciesiel
- rel. 1

Revision 1.13  2005/03/24 15:49:07  ciesiel
- upgrade to version 1.0.2
- added file install.rdf

Revision 1.12  2005/03/07 12:38:21  paszczus
- updated to 1.0.1

Revision 1.11  2004/11/10 23:14:16  jack
- updated to 1.0 - Not Tested Yet

Revision 1.10  2004/10/15 20:07:17  jack
- updated to 0.10 - something is wrong

Revision 1.9  2004/07/17 21:18:04  domelu
- up to 0.9.1, still waiting for 0.9.2 ;)

Revision 1.8  2004/06/20 04:49:50  troll
- updated for 0.9
- searchplugins/ and defaults/ are no longer in the package (at least now)

Revision 1.7  2004/05/11 15:26:23  qboosh
- doesn't obsolete other -lang-resources
- versioned deps, release 0.4

Revision 1.6  2004/03/04 23:48:53  undefine
- provides/obsoletes mozilla-firefox-lang-resources

Revision 1.5  2004/03/04 21:11:52  undefine
- use mozilla-firefox, not firefox

Revision 1.4  2004/03/04 09:50:39  jack
- proper requires

Revision 1.3  2004/03/03 21:15:16  jack
- cosmetic
- where are firefox-misc-installed-chrome.txtand  firefox-en-US-installed-chrome.txt ?

Revision 1.2  2004/03/03 20:56:03  undefine
- use %{_libdir} - chrome theme can have binary files... i think
- use splitted installed... files
- rel 0.2, seems to work...

Revision 1.1  2004/02/29 22:49:10  jack
- initial release (based on mozilla-lang-pl.spec)
- NFY (I've gived up)
